import { StiUsedFontsList } from "../services/objects";
import Color from "../system/Color";
import { StiLabel, StiDescription, StiBorderElement, StiBackgroundElement, StiValueElement, StiEditableContent, StiTabIndex } from "../system/interfaces";
import StiJson from "../system/StiJson";
import { StiFormElement } from "./base/StiFormElement";
import { StiTextItem } from "./text/StiTextItem";
export declare class StiCheckBoxElement extends StiFormElement implements StiLabel, StiDescription, StiBorderElement, StiBackgroundElement, StiValueElement, StiTabIndex {
    type: string;
    tooltip: string;
    required: boolean;
    description: StiTextItem;
    text: StiTextItem;
    isChecked: boolean;
    backgroundColor: Color;
    checkColor: Color;
    borderColor: Color;
    tabIndex: number;
    initialState: boolean;
    constructor();
    setDefaultValues(): void;
    setTabIndex(value: number): number;
    getUsedFonts(usedFonts: StiUsedFontsList): void;
    get value(): any;
    getDefaultEditableContent(): StiEditableContent;
    setProperty(propName: string, value: any, oldObject: any): void;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    htmlStyle(): string;
}
